|
|
64b87c |
From 7cddfbbadbc40a4b6d331be25a3c38ad3a52239b Mon Sep 17 00:00:00 2001
|
|
|
64b87c |
From: Harald Hoyer <harald@redhat.com>
|
|
|
64b87c |
Date: Thu, 10 Sep 2015 13:21:53 +0200
|
|
|
64b87c |
Subject: [PATCH] iscsi/iscsiroot.sh: use all_ifaces_setup()
|
|
|
64b87c |
|
|
|
64b87c |
we want the route and gateway setup
|
|
|
64b87c |
---
|
|
|
64b87c |
modules.d/95iscsi/iscsiroot.sh | 6 +++---
|
|
|
64b87c |
1 file changed, 3 insertions(+), 3 deletions(-)
|
|
|
64b87c |
|
|
|
64b87c |
diff --git a/modules.d/95iscsi/iscsiroot.sh b/modules.d/95iscsi/iscsiroot.sh
|
|
|
64b87c |
index 7688b28..424d216 100755
|
|
|
64b87c |
--- a/modules.d/95iscsi/iscsiroot.sh
|
|
|
64b87c |
+++ b/modules.d/95iscsi/iscsiroot.sh
|
|
|
64b87c |
@@ -108,7 +108,7 @@ handle_netroot()
|
|
|
64b87c |
parse_iscsi_root "$1" || return 1
|
|
|
64b87c |
|
|
|
64b87c |
# Bail out early, if there is no route to the destination
|
|
|
64b87c |
- if is_ip "$iscsi_target_ip" && [ "$netif" != "timeout" ] && ! all_ifaces_up && getargbool 1 rd.iscsi.testroute; then
|
|
|
64b87c |
+ if is_ip "$iscsi_target_ip" && [ "$netif" != "timeout" ] && ! all_ifaces_setup && getargbool 1 rd.iscsi.testroute; then
|
|
|
64b87c |
ip route get "$iscsi_target_ip" >/dev/null 2>&1 || return 0
|
|
|
64b87c |
fi
|
|
|
64b87c |
|
|
|
64b87c |
@@ -227,10 +227,10 @@ handle_netroot()
|
|
|
64b87c |
ret=0
|
|
|
64b87c |
|
|
|
64b87c |
if [ "$netif" != "timeout" ] && getargbool 1 rd.iscsi.waitnet; then
|
|
|
64b87c |
- all_ifaces_up || exit 0
|
|
|
64b87c |
+ all_ifaces_setup || exit 0
|
|
|
64b87c |
fi
|
|
|
64b87c |
|
|
|
64b87c |
-if [ "$netif" = "timeout" ] && all_ifaces_up; then
|
|
|
64b87c |
+if [ "$netif" = "timeout" ] && all_ifaces_setup; then
|
|
|
64b87c |
# s.th. went wrong and the timeout script hits
|
|
|
64b87c |
# restart
|
|
|
64b87c |
systemctl restart iscsid
|